Author Topic: MTEXT Background mask  (Read 6914 times)

0 Members and 1 Guest are viewing this topic.

hudster

  • Gator
  • Posts: 2848
MTEXT Background mask
« on: March 07, 2007, 09:38:29 AM »
Does anyone have a lisp to remove background masks from mtext?

I need to remove them because our clients printer prints huge black squares over each mask.
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

Guest

  • Guest
Re: MTEXT Background mask
« Reply #1 on: March 07, 2007, 09:51:12 AM »
Just select all of your MText and turn off the background mask from the properties dialog box.

ronjonp

  • Needs a day job
  • Posts: 7533
Re: MTEXT Background mask
« Reply #2 on: March 07, 2007, 10:00:53 AM »
Or if they are wipeouts, use this:

Code: [Select]
(defun c:bye-wipeouts (/ ss)
  (if (setq ss (ssget "_X" '((0 . "WIPEOUT"))))
    (mapcar '(lambda (x)
       (vla-delete
(vlax-ename->vla-object x)
       )
     )
    (mapcar 'cadr (ssnamex ss))
    )
  )
  (princ)
)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

hudster

  • Gator
  • Posts: 2848
Re: MTEXT Background mask
« Reply #3 on: March 07, 2007, 10:13:22 AM »
Just select all of your MText and turn off the background mask from the properties dialog box.

That's what i am doing, but i need to process 200 drawings by 5 o'clock, it's 3 now and getting frantic.
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

Guest

  • Guest
Re: MTEXT Background mask
« Reply #4 on: March 07, 2007, 10:23:05 AM »
http://hyperpics.com/tools/maskextension/help/index.asp

I haven't tried it, but it looks like you could script something and using Lee's tool, remove all of the background masking.

ronjonp

  • Needs a day job
  • Posts: 7533
Re: MTEXT Background mask
« Reply #5 on: March 07, 2007, 10:29:16 AM »
Just select all of your MText and turn off the background mask from the properties dialog box.

That's what i am doing, but i need to process 200 drawings by 5 o'clock, it's 3 now and getting frantic.

You could run this in a script:

Code: [Select]
(defun c:maskoff (/ ss)
  (if (setq ss (ssget "_X" '((0 . "MTEXT"))))
    (mapcar '(lambda (x)
       (vla-put-backgroundfill
(vlax-ename->vla-object x)
:vlax-false
       )
     )
    (mapcar 'cadr (ssnamex ss))
    )
  )
  (princ)
)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

hudster

  • Gator
  • Posts: 2848
Re: MTEXT Background mask
« Reply #6 on: March 07, 2007, 10:33:13 AM »
Cheers, scripting as we speak.
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

ronjonp

  • Needs a day job
  • Posts: 7533
Re: MTEXT Background mask
« Reply #7 on: March 07, 2007, 10:38:19 AM »
Cheers, scripting as we speak.

You tested it first before scripting right?  :-)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

hudster

  • Gator
  • Posts: 2848
Re: MTEXT Background mask
« Reply #8 on: March 07, 2007, 10:46:14 AM »
On a few yes. why? :?
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

ronjonp

  • Needs a day job
  • Posts: 7533
Re: MTEXT Background mask
« Reply #9 on: March 07, 2007, 11:01:32 AM »
Just making sure...don't want you to run a lisp I created on 200 drawings and find out everything is toast afterwards.  ;-)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC